Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.writer.rdfxml.util
Class InlineResourceChecker

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
          edu.stanford.smi.protegex.owl.writer.rdfxml.util.InlineResourceChecker

All Implemented Interfaces:
  OWLModelVisitor

    public class InlineResourceChecker

extends OWLModelVisitorAdapter

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: March 22, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

A class that can be used to check if a certain type of resource can be inlined. Typically named resources such as named classes and individuals can be inlined as tag attributes in RDF/XML. This class follows the visitor pattern - users should create an instance and then call the accept method on an instance of Visitable, passing the instance of this class as an argument. Having done this the `isCanInline` method should be used to check if the resource concerned can be inlined.

Constructor Summary
`InlineResourceChecker()`

Method Summary
`boolean` | `isCanInline()` This method should be used to check if the most recent visted resource can be inlined.
`void` | `visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)`
`void` | `visitOWLIndividual(OWLIndividual owlIndividual)`
`void` | `visitOWLNamedClass(OWLNamedClass owlNamedClass)`
`void` | `visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)`
`void` | `visitOWLOntology(OWLOntology owlOntology)`
`void` | `visitRDFDatatype(RDFSDatatype rdfsDatatype)`
`void` | `visitRDFExternalResource(RDFExternalResource rdfExternalResource)`
`void` | `visitRDFIndividual(RDFIndividual rdfIndividual)`
`void` | `visitRDFProperty(RDFProperty rdfProperty)`
`void` | `visitRDFSNamedClass(RDFSNamedClass rdfsNamedClass)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
`visitOWLAllDifferent, visitOWLAllValuesFrom, visitOWLCardinality, visitOWLComplementClass, visitOWLDataRange, visitOWLEnumeratedClass, visitOWLHasValue, visitOWLIntersectionClass, visitOWLMaxCardinality, visitOWLMinCardinality, visitOWLSomeValuesFrom, visitOWLUnionClass, visitRDFList, visitRDFSLiteral, visitRDFUntypedResource, visitSWRLAtomListIndividual, visitSWRLIndividual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineResourceChecker

    public InlineResourceChecker()

Method Detail

### isCanInline

    public boolean isCanInline()

  This method should be used to check if the most recent visted resource can be inlined.

  Returns:
    `true` if the most recent visited resource can be inlined as an attribute, or `false` if the resource needs to be inserted as a child element.

### visitOWLOntology

    public void visitOWLOntology(OWLOntology owlOntology)

  Specified by:
    `visitOWLOntology` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLOntology` in class `OWLModelVisitorAdapter`

### visitOWLDatatypeProperty

    public void visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)

  Specified by:
    `visitOWLDatatypeProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLDatatypeProperty` in class `OWLModelVisitorAdapter`

### visitOWLIndividual

    public void visitOWLIndividual(OWLIndividual owlIndividual)

  Specified by:
    `visitOWLIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIndividual` in class `OWLModelVisitorAdapter`

### visitRDFDatatype

    public void visitRDFDatatype(RDFSDatatype rdfsDatatype)

  Specified by:
    `visitRDFDatatype` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFDatatype` in class `OWLModelVisitorAdapter`

### visitOWLNamedClass

    public void visitOWLNamedClass(OWLNamedClass owlNamedClass)

  Specified by:
    `visitOWLNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLNamedClass` in class `OWLModelVisitorAdapter`

### visitOWLObjectProperty

    public void visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)

  Specified by:
    `visitOWLObjectProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLObjectProperty` in class `OWLModelVisitorAdapter`

### visitRDFExternalResource

    public void visitRDFExternalResource(RDFExternalResource rdfExternalResource)

### visitRDFIndividual

    public void visitRDFIndividual(RDFIndividual rdfIndividual)

  Specified by:
    `visitRDFIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFIndividual` in class `OWLModelVisitorAdapter`

### visitRDFProperty

    public void visitRDFProperty(RDFProperty rdfProperty)

  Specified by:
    `visitRDFProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFProperty` in class `OWLModelVisitorAdapter`

### visitRDFSNamedClass

    public void visitRDFSNamedClass(RDFSNamedClass rdfsNamedClass)

  Specified by:
    `visitRDFSNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFSNamedClass` in class `OWLModelVisitorAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.